> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get History

> Retrieves a collection of history records with optional paging parameters. Paging parameters include startIndex, pageSize, sortBy, filter, q, and qLimit.



## OpenAPI

````yaml /openapi/openapi_audit_logs.json get /history
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Audit Logs Web API
  title: Audit Logs Web
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /history:
    get:
      tags:
        - History
      summary: Get History
      description: >-
        Retrieves a collection of history records with optional paging
        parameters. Paging parameters include startIndex, pageSize, sortBy,
        filter, q, and qLimit.
      parameters:
        - in: query
          name: StartIndex
          schema:
            format: int32
            type: integer
        - in: query
          name: PageSize
          schema:
            format: int32
            type: integer
        - in: query
          name: SortBy
          schema:
            type: string
        - in: query
          name: Filter
          schema:
            type: string
        - in: query
          name: Q
          schema:
            type: string
        - in: query
          name: QLimit
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HistoryCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/HistoryCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/HistoryCollection'
          description: OK
components:
  schemas:
    HistoryCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/History'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    History:
      properties:
        action:
          nullable: true
          type: string
        appKey:
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        entityId:
          nullable: true
          type: string
        entityType:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        initiatingAppId:
          nullable: true
          type: string
        ipAddress:
          nullable: true
          type: string
        objectName:
          nullable: true
          type: string
        siteId:
          format: int32
          nullable: true
          type: integer
        tenantId:
          format: int32
          nullable: true
          type: integer
        timestamp:
          format: date-time
          type: string
        userId:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````